boolean(true).
boolean(false).

status(on_edge).
status(flat).

% fluents
fluent(holding_coin).
fluent(fated).
fluent(coin).

domain(holding_coin,V) :- boolean(V).
domain(fated,V) :- status(V).
domain(coin,V) :- status(V).

action(toss_coin).
executable(toss_coin, [eq(holding_coin,true)]).
causes(toss_coin, eq(holding_coin,false), []).
causes(toss_coin, eq(coin,on_edge), [eq(fated,on_edge)]).
causes(toss_coin, eq(coin,flat), [eq(fated,flat)]).

action(inspect_and_decide_coin).
executable(inspect_and_decide_coin, []).
determines(inspect_and_decide_coin, fated).

action(tip_coin).
executable(tip_coin, [eq(coin,on_edge)]).
causes(tip_coin, eq(coin,flat), []).

initially([eq(holding_coin,true)]).

sgoal([eq(coin,flat)]).
