boolean(true).
boolean(false).

coin(1).
coin(2).
coin(3).
coin(4).
coin(5).
coin(6).
coin(7).

% fluents
fluent(head(X)) :- coin(X).

% domains
domain(head(X),V) :- coin(X), boolean(V).

% actions
action(examine(X)) :- coin(X).
action(turn_over(X)) :- coin(X).

% executability conditions
executable(examine(X), []) :- coin(X).
executable(turn_over(X), []) :- coin(X).

% effects
% nonsensing actions
causes(turn_over(X), val(head(X), false), [val(head(X), true)]) :- coin(X).
causes(turn_over(X), val(head(X), true), [val(head(X), false)]) :- coin(X).
 
% sensing actions
determines(examine(X), head(X)) :- coin(X).

% initial state

% goal
sgoal(head(X),true) :- coin(X).
