
% fluents
fluent(infected).
fluent(hydrated).
fluent(dead).

% domains
boolean(true).
boolean(false).

domain(infected,V) :- boolean(V).
domain(hydrated,V) :- boolean(V).
domain(dead,V) :- boolean(V).

% actions
action(drink).
action(check).
action(medicate).

executable(drink, [eq(dead,false),eq(hydrated,false)]). 
executable(check, [eq(dead,false)]).
executable(medicate, [eq(dead,false)]). 

causes(medicate, eq(infected,false), [neq(hydrated,false)]).
causes(medicate, eq(dead,true), [neq(hydrated,true)]).
causes(drink, eq(hydrated,true), []). 

determines(check, hydrated).

initially([neq(dead,true),neq(infected,false)]).

sgoal([eq(infected,false),neq(dead,true)]).
